With GeForce Experience, I am getting this message: "Driver update required | Criticial update for Ansel, Freestyle and IN-GAME OVERLAY."

Updated 01/30/2020 01:16 PM
I have a GeForce 600M, 700M, 800M and 900M series notebooks (Kepler-based). How do I continue using these features? 

 
Install NVIDIA GeForce Experience v3.20.0.123 available from the URL below: 
 
Note:  This release is intended only for notebooks featuring Kepler based GeForce GPUs.  For notebooks using Maxwell based GeForce GPUs and above, please continue using the latest official GeForce Experience version.  GeForce Notebook GPUs based on Kepler architecture include:
NVIDIA GeForce 710A
NVIDIA GeForce 810M
NVIDIA GeForce 820M
NVIDIA GeForce 825M
NVIDIA GeForce 910M
NVIDIA GeForce 920M
NVIDIA GeForce GT 640M
NVIDIA GeForce GT 640M
NVIDIA GeForce GT 640M LE
NVIDIA GeForce GT 640M LE
NVIDIA GeForce GT 645M
NVIDIA GeForce GT 650M
NVIDIA GeForce GT 650M
NVIDIA GeForce GT 720M
NVIDIA GeForce GT 730M
NVIDIA GeForce GT 730M
NVIDIA GeForce GT 730M
NVIDIA GeForce GT 735M
NVIDIA GeForce GT 740M
NVIDIA GeForce GT 740M
NVIDIA GeForce GT 745M
NVIDIA GeForce GT 745M
NVIDIA GeForce GT 750M
NVIDIA GeForce GT 750M
NVIDIA GeForce GT 755M
NVIDIA GeForce GT 755M
NVIDIA GeForce GTX 660M
NVIDIA GeForce GTX 660M
NVIDIA GeForce GTX 670MX
NVIDIA GeForce GTX 675MX
NVIDIA GeForce GTX 675MX
NVIDIA GeForce GTX 680M
NVIDIA GeForce GTX 680MX
NVIDIA GeForce GTX 760M
NVIDIA GeForce GTX 765M
NVIDIA GeForce GTX 765M
NVIDIA GeForce GTX 770M
NVIDIA GeForce GTX 775M
NVIDIA GeForce GTX 780M
NVIDIA GeForce GTX 780M
NVIDIA GeForce GTX 860M
NVIDIA GeForce GTX 870M
NVIDIA GeForce GTX 880M
 

Is this answer helpful?

Live Chat

Chat online with one of our support agents

CHAT NOW

ASK US A QUESTION

Contact Support for assistance

Click here